## gemrb 0.6.1-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 NEW)
      cmake_policy(SET CMP0005 NEW)
endif(COMMAND cmake_policy)

# If the user specifies -DCMAKE_BUILD_TYPE on the command line, take their definition
# and dump it in the cache along with proper documentation, otherwise set CMAKE_BUILD_TYPE
# to Release prior to calling PROJECT()
IF(DEFINED CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ELSE(DEFINED CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ENDIF(DEFINED CMAKE_BUILD_TYPE)

PROJECT(gemrb)
# try to extract the version from the source
execute_process(
  COMMAND sed -n "s/\#define VERSION_GEMRB .\\([^\"]*\\).$/\\1/p" ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h
  OUTPUT_VARIABLE GEMRB_VERSION
  RESULT_VARIABLE RC
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(${RC} GREATER 0) # lookup failed
  set(GEMRB_VERSION "unknown")
endif(${RC} GREATER 0)
message("Detected version: ${GEMRB_VERSION}")

IF(PREFIX)
  SET(PREFIX CACHE PATH "Abbreviation for CMAKE_INSTALL_PREFIX.")
  SET(CMAKE_INSTALL_PREFIX ${PREFIX})
ENDIF(PREFIX)

if (NOT LAYOUT)
	if (WIN32)
		set(LAYOUT "home")
	else (WIN32)
		set(LAYOUT "fhs")
	endif (WIN32)
endif (NOT LAYOUT)

SET(LAYOUT "${LAYOUT}" CACHE STRING "Directory layout.")

if (${LAYOUT} MATCHES "home")
	IF( NOT PLUGIN_DIR )
		SET( PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/plugins )
	ENDIF( NOT PLUGIN_DIR )
	IF( NOT DATA_DIR )
		SET( DATA_DIR ${CMAKE_INSTALL_PREFIX} )
	ENDIF( NOT DATA_DIR )
	IF( NOT MAN_DIR )
		SET( MAN_DIR ${CMAKE_INSTALL_PREFIX}/man/man6 )
	ENDIF( NOT MAN_DIR )
	IF( NOT BIN_DIR )
		SET( BIN_DIR ${CMAKE_INSTALL_PREFIX} )
	ENDIF( NOT BIN_DIR )
	IF( NOT SYSCONF_DIR )
		SET( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX} )
	ENDIF( NOT SYSCONF_DIR )
	IF( NOT LIB_DIR )
		SET( LIB_DIR ${CMAKE_INSTALL_PREFIX} )
	ENDIF( NOT LIB_DIR )
       IF( NOT DOC_DIR )
               SET( DOC_DIR ${CMAKE_INSTALL_PREFIX}/doc )
       ENDIF( NOT DOC_DIR )
	IF( NOT ICON_DIR )
		SET( ICON_DIR ${CMAKE_INSTALL_PREFIX} )
	ENDIF( NOT ICON_DIR )
	IF( NOT MENU_DIR )
		SET( MENU_DIR ${CMAKE_INSTALL_PREFIX} )
	ENDIF( NOT MENU_DIR )
elseif (${LAYOUT} MATCHES "fhs")
	IF( NOT LIB_DIR )
		SET( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib/gemrb )
	ENDIF( NOT LIB_DIR )
	IF( NOT PLUGIN_DIR )
		SET( PLUGIN_DIR ${LIB_DIR}/plugins )
	ENDIF( NOT PLUGIN_DIR )
	IF( NOT DATA_DIR )
		SET( DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/gemrb )
	ENDIF( NOT DATA_DIR )
	IF( NOT MAN_DIR )
		SET( MAN_DIR ${CMAKE_INSTALL_PREFIX}/share/man/man6 )
	ENDIF( NOT MAN_DIR )
	IF( NOT BIN_DIR )
		SET( BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin )
	ENDIF( NOT BIN_DIR )
	IF( NOT SYSCONF_DIR )
		if ( ${CMAKE_INSTALL_PREFIX} STREQUAL "/usr" )
			SET( SYSCONF_DIR /etc/gemrb )
		else ()
			SET( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX}/etc/gemrb )
		endif ()
	ENDIF( NOT SYSCONF_DIR )
       IF( NOT DOC_DIR )
               SET( DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc )
       ENDIF( NOT DOC_DIR )
	IF( NOT ICON_DIR )
		SET( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	ENDIF( NOT ICON_DIR )
	IF( NOT MENU_DIR )
		SET( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
	ENDIF( NOT MENU_DIR )
else (${LAYOUT} MATCHES "opt")
	IF( NOT LIB_DIR )
		SET( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib )
	ENDIF( NOT LIB_DIR )
	IF( NOT PLUGIN_DIR )
		SET( PLUGIN_DIR ${LIB_DIR}/plugins )
	ENDIF( NOT PLUGIN_DIR )
	IF( NOT DATA_DIR )
		SET( DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/ )
	ENDIF( NOT DATA_DIR )
	IF( NOT MAN_DIR )
		SET( MAN_DIR ${CMAKE_INSTALL_PREFIX}/man/man6 )
	ENDIF( NOT MAN_DIR )
	IF( NOT BIN_DIR )
		SET( BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin )
	ENDIF( NOT BIN_DIR )
	IF( NOT SYSCONF_DIR )
		SET( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX}/etc )
	ENDIF( NOT SYSCONF_DIR )
       IF( NOT DOC_DIR )
               SET( DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc )
       ENDIF( NOT DOC_DIR )
	IF( NOT ICON_DIR )
		SET( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	ENDIF( NOT ICON_DIR )
	IF( NOT MENU_DIR )
		SET( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
	ENDIF( NOT MENU_DIR )
endif (${LAYOUT} MATCHES "home")


IF(CMAKE_COMPILER_IS_GNUCXX)
	if ( NOT DISABLE_WERROR )
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
	endif ( NOT DISABLE_WERROR )
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
	# only export symbols explicitly marked to be exported.
	INCLUDE(CheckCXXCompilerFlag)
	CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" VISIBILITY_HIDDEN)
	IF (VISIBILITY_HIDDEN)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
	ENDIF (VISIBILITY_HIDDEN)
	if (WIN32)
		# GCC 4.5.0+ has shared libstdc++ without dllimport
		set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--enable-auto-import")
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--enable-auto-import")
	endif (WIN32)
	# Ensure all plugin symbols exist.
	if (NOT APPLE)
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined")
	endif (NOT APPLE)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

MESSAGE(STATUS "Looking for Python libraries")
INCLUDE(FindPythonLibs)
IF(PYTHON_LIBRARY)
 MESSAGE(STATUS "Python Libraries Found")
ELSE(PYTHON_LIBRARY)
 MESSAGE(FATAL_ERROR "Unable to find Python development libraries. Please get it from www.python.org")
ENDIF(PYTHON_LIBRARY)

MESSAGE(STATUS "Looking for openAL libraries")
INCLUDE(FindOpenAL)
IF(OPENAL_FOUND)
 MESSAGE(STATUS "openal found")
ELSE(OPENAL_FOUND)
 MESSAGE(ERROR "unable to find openal. please set OPENALDIR environment variable or get it from www.openal.org")
ENDIF(OPENAL_FOUND)

MESSAGE(STATUS "Looking for SDL")
INCLUDE(FindSDL)
IF(SDL_FOUND)
 MESSAGE(STATUS "SDL found")
ELSE(SDL_FOUND)
 MESSAGE(FATAL_ERROR "unable to find SDL. please get it from www.libsdl.org")
ENDIF(SDL_FOUND)

MESSAGE( STATUS "Looking for Zlib" )
#SET(ZLIB_FIND_REQUIRED TRUE)
INCLUDE(FindZLIB)

MESSAGE( STATUS "Looking for libPNG" )
INCLUDE(FindPNG)
IF(PNG_FOUND)
 MESSAGE( STATUS "libPNG found" )
ELSE(PNG_FOUND)
 MESSAGE( STATUS "WARNING : GemRB will be built without any PNG support. Get it from www.libpng.org" )
ENDIF(PNG_FOUND)

IF(UNIX)
 MESSAGE(STATUS "Looking for dl library")
 FIND_LIBRARY(DLD_LIBRARY_PATH dl dld)
 IF(DLD_LIBRARY_PATH)
  MESSAGE(STATUS "dl library found")
 ELSE(DLD_LIBRARY_PATH)
  MESSAGE(FATAL_ERROR "dl library not found")
 ENDIF(DLD_LIBRARY_PATH)
ENDIF(UNIX)

MESSAGE(STATUS "Looking for Ogg Vorbis support")
FIND_LIBRARY(VORBIS_LIBRARY vorbisfile)

ADD_DEFINITIONS("-DHAVE_CONFIG_H")

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} gemrb/includes gemrb/core)

#Platform checks
INCLUDE (CheckTypeSize)
CHECK_TYPE_SIZE("int" SIZEOF_INT)
CHECK_TYPE_SIZE("long int" SIZEOF_LONG_INT)

INCLUDE (CheckFunctionExists)
CHECK_FUNCTION_EXISTS("snprintf" HAVE_SNPRINTF)
CHECK_FUNCTION_EXISTS("strndup" HAVE_STRNDUP)

#Unneeded on windows
IF(NOT WIN32)
INCLUDE (CheckCXXSourceCompiles)
CHECK_CXX_SOURCE_COMPILES("typedef void *(* voidvoid)(void);

void *object = 0;
voidvoid function;
function = (voidvoid) object;
" PERMITS_OBJECT_TO_FUNCTION_CAST)

IF( NOT PERMITS_OBJECT_TO_FUNCTION_CAST )
 SET(HAVE_FORBIDDEN_OBJECT_TO_FUNCTION_CAST 1)
ENDIF( NOT PERMITS_OBJECT_TO_FUNCTION_CAST )
ENDIF(NOT WIN32)

IF(VORBIS_LIBRARY)
 SET(HAS_VORBIS_SUPPORT 1)
ELSE(VORBIS_LIBRARY)
 SET(VORBIS_LIBRARY "")
ENDIF(VORBIS_LIBRARY)

IF(APPLE)
 FIND_LIBRARY(SDL_MAIN_LIBRARY_PATH SDLmain)
 FIND_LIBRARY(COCOA_LIBRARY_PATH Cocoa)
ENDIF(APPLE)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake_config.h.in
	${CMAKE_CURRENT_BINARY_DIR}/config.h ESCAPE_QUOTES)

#Plugin addition macro
MACRO(ADD_GEMRB_PLUGIN plugin_name)
	ADD_LIBRARY(${plugin_name} MODULE ${ARGN})
	SET_TARGET_PROPERTIES(${plugin_name} PROPERTIES PREFIX ""
		INSTALL_RPATH ${LIB_DIR}
		LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/gemrb/plugins)
	TARGET_LINK_LIBRARIES(${plugin_name} gemrb_core)
	INSTALL(TARGETS ${plugin_name} DESTINATION ${PLUGIN_DIR})
ENDMACRO(ADD_GEMRB_PLUGIN)

#gemrb overrides macro
MACRO(ADD_GEMRB_OVERRIDE game_name)
FILE( GLOB FILES_TO_INSTALL *.2da *.bmp *.ini *.chu *.ids *.bcs *.vvc *.mos *.spl *.wav *.pro)
INSTALL( FILES ${FILES_TO_INSTALL} DESTINATION ${DATA_DIR}/override/${game_name} )
ENDMACRO(ADD_GEMRB_OVERRIDE )

ADD_SUBDIRECTORY( gemrb )
INSTALL( FILES gemrb.6 DESTINATION ${MAN_DIR} )
INSTALL( FILES artwork/gemrb-logo.png DESTINATION ${ICON_DIR} )
INSTALL( FILES gemrb.desktop DESTINATION ${MENU_DIR} )
INSTALL( FILES README INSTALL COPYING NEWS AUTHORS DESTINATION ${DOC_DIR} )

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY
)

# copy the variable, since the file uses @VERSION@
set(VERSION ${GEMRB_VERSION})
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/gemrb.spec.in"
  "${CMAKE_CURRENT_BINARY_DIR}/gemrb.spec"
  IMMEDIATE @ONLY
)

ADD_CUSTOM_TARGET( uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" )

# make dist for a gzipped tarball of current HEAD
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${GEMRB_VERSION})
add_custom_target( dist
  COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
    | gzip --best > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

=== gemrb/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( plugins )
ADD_SUBDIRECTORY( override )
ADD_SUBDIRECTORY( GUIScripts )
ADD_SUBDIRECTORY( docs )

ADD_EXECUTABLE(gemrb GemRB.cpp )
SET_TARGET_PROPERTIES(gemrb PROPERTIES INSTALL_RPATH ${LIB_DIR})
IF(WIN32)
 TARGET_LINK_LIBRARIES(gemrb gemrb_core)
ELSE(WIN32)
 IF(APPLE)
  TARGET_LINK_LIBRARIES(gemrb gemrb_core ${SDL_LIBRARY} ${SDL_MAIN_LIBRARY_PATH} ${COCOA_LIBRARY_PATH} ${DLD_LIBRARY_PATH})
 ELSE(APPLE)
  TARGET_LINK_LIBRARIES(gemrb gemrb_core ${DLD_LIBRARY_PATH})
 ENDIF(APPLE)
ENDIF(WIN32)

INSTALL( TARGETS gemrb DESTINATION ${BIN_DIR} )
INSTALL( FILES GemRB.cfg.sample GemRB.cfg.subdir.sample DESTINATION ${SYSCONF_DIR} )

=== CMakeFiles/CMakeTmp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(CMAKE_TRY_COMPILE C)
SET(CMAKE_VERBOSE_MAKEFILE 1)
SET(CMAKE_C_FLAGS "   ${COMPILE_DEFINITIONS}")
INCLUDE_DIRECTORIES(${INCLUDE_DIRECTORIES})
SET(CMAKE_SUPPRESS_REGENERATION 1)
LINK_DIRECTORIES(${LINK_DIRECTORIES})
ADD_EXECUTABLE(cmTryCompileExec "/targets/FREMANTLE_ARMEL/usr/share/cmake-2.6/Modules/CMakeCCompilerABI.c")
TARGET_LINK_LIBRARIES(cmTryCompileExec ${LINK_LIBRARIES})

=== CMakeFiles/CMakeTmp/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp/CMakeFiles /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/bundyo/gemrb-0.6.1/CMakeFiles/CMakeTmp/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named cmTryCompileExec

# Build rule for target.
cmTryCompileExec: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cmTryCompileExec
.PHONY : cmTryCompileExec

# fast build rule for target.
cmTryCompileExec/fast:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/build
.PHONY : cmTryCompileExec/fast

CMakeCCompilerABI.o: CMakeCCompilerABI.c.o
.PHONY : CMakeCCompilerABI.o

# target to build an object file
CMakeCCompilerABI.c.o:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/CMakeCCompilerABI.c.o
.PHONY : CMakeCCompilerABI.c.o

CMakeCCompilerABI.i: CMakeCCompilerABI.c.i
.PHONY : CMakeCCompilerABI.i

# target to preprocess a source file
CMakeCCompilerABI.c.i:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/CMakeCCompilerABI.c.i
.PHONY : CMakeCCompilerABI.c.i

CMakeCCompilerABI.s: CMakeCCompilerABI.c.s
.PHONY : CMakeCCompilerABI.s

# target to generate assembly for a file
CMakeCCompilerABI.c.s:
	$(MAKE) -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCompileExec.dir/CMakeCCompilerABI.c.s
.PHONY : CMakeCCompilerABI.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... cmTryCompileExec"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... CMakeCCompilerABI.o"
	@echo "... CMakeCCompilerABI.i"
	@echo "... CMakeCCompilerABI.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== gemrb/GUIScripts/CMakeLists.txt ===
FILE( GLOB FILES_TO_INSTALL *.py )

INSTALL( FILES ${FILES_TO_INSTALL} DESTINATION ${DATA_DIR}/GUIScripts )

ADD_SUBDIRECTORY( bg1 )
ADD_SUBDIRECTORY( bg2 )
ADD_SUBDIRECTORY( iwd )
ADD_SUBDIRECTORY( iwd2 )
ADD_SUBDIRECTORY( pst )
ADD_SUBDIRECTORY( test1 )

=== gemrb/core/CMakeLists.txt ===
ADD_DEFINITIONS(-DGEM_BUILD_DLL)

FILE(GLOB gemrb_core_LIB_SRCS "*.cpp")

ADD_LIBRARY(gemrb_core SHARED ${gemrb_core_LIB_SRCS} )

IF(WIN32)
  INSTALL(TARGETS gemrb_core RUNTIME DESTINATION ${LIB_DIR})
ELSE(WIN32)
  INSTALL(TARGETS gemrb_core LIBRARY DESTINATION ${LIB_DIR})
ENDIF(WIN32)

=== gemrb/override/CMakeLists.txt ===
ADD_SUBDIRECTORY( bg1 )
ADD_SUBDIRECTORY( bg2 )
ADD_SUBDIRECTORY( how )
ADD_SUBDIRECTORY( iwd )
ADD_SUBDIRECTORY( iwd2 )
ADD_SUBDIRECTORY( pst )
ADD_SUBDIRECTORY( test1 )
ADD_SUBDIRECTORY( shared )

=== gemrb/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY( 2DAImporter )
ADD_SUBDIRECTORY( ACMReader )
ADD_SUBDIRECTORY( WAVReader )
ADD_SUBDIRECTORY( OGGReader )
ADD_SUBDIRECTORY( AREImporter )
ADD_SUBDIRECTORY( BAMImporter )
ADD_SUBDIRECTORY( BIFImporter )
ADD_SUBDIRECTORY( BIKPlayer )
ADD_SUBDIRECTORY( BMPImporter )
ADD_SUBDIRECTORY( BMPWriter )
ADD_SUBDIRECTORY( CHUImporter )
ADD_SUBDIRECTORY( CREImporter )
ADD_SUBDIRECTORY( DLGImporter )
ADD_SUBDIRECTORY( DirectoryImporter )
ADD_SUBDIRECTORY( EFFImporter )
ADD_SUBDIRECTORY( FXOpcodes )
ADD_SUBDIRECTORY( GAMImporter )
ADD_SUBDIRECTORY( GUIScript )
ADD_SUBDIRECTORY( IDSImporter )
ADD_SUBDIRECTORY( INIImporter )
ADD_SUBDIRECTORY( ITMImporter )
ADD_SUBDIRECTORY( IWDOpcodes )
ADD_SUBDIRECTORY( KEYImporter )
ADD_SUBDIRECTORY( MOSImporter )
ADD_SUBDIRECTORY( MVEPlayer )
ADD_SUBDIRECTORY( MUSImporter )
ADD_SUBDIRECTORY( NullSound )
ADD_SUBDIRECTORY( PLTImporter )
ADD_SUBDIRECTORY( PNGImporter )
ADD_SUBDIRECTORY( PROImporter )
ADD_SUBDIRECTORY( PSTOpcodes )
ADD_SUBDIRECTORY( SDLVideo )
ADD_SUBDIRECTORY( SPLImporter )
ADD_SUBDIRECTORY( STOImporter )
ADD_SUBDIRECTORY( TISImporter )
ADD_SUBDIRECTORY( TLKImporter )
ADD_SUBDIRECTORY( WEDImporter )
ADD_SUBDIRECTORY( WMPImporter )
ADD_SUBDIRECTORY( ZLibManager )
ADD_SUBDIRECTORY( OpenALAudio )

=== gemrb/GUIScripts/test1/CMakeLists.txt ===
FILE( GLOB FILES_TO_INSTALL *.py )

INSTALL( FILES ${FILES_TO_INSTALL} DESTINATION ${DATA_DIR}/GUIScripts/test1 )

=== gemrb/docs/en/CMakeLists.txt ===
INSTALL(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DESTINATION ${DOC_DIR}
  PATTERN CMakeLists.txt EXCLUDE
  PATTERN Makefile.am EXCLUDE
)

=== gemrb/override/pst/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (pst)

=== gemrb/override/test1/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (test1)

=== debian/changelog ===
gemrb (0.6.1-1) unstable; urgency=low

  * First Maemo build.

 -- Bundyo <bundyo@gmail.com>  Mon, 19 Jul 2010 00:01:50 +0300

=== debian/control ===
Source: gemrb
Section: user/games
Priority: extra
Maintainer: Bundyo <bundyo@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev
Standards-Version: 3.7.2
Homepage: http://gemrb.sourceforge.net

Package: gemrb
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  GemRB is an open-source implementation of Bioware's Infinity Engine.
 GemRB (Game engine made with preRendered Background) is a portable 
 open-source implementation of Bioware's Infinity Engine.
 .
 You need to own the original games in order to play them.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: GemRB
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAEdgAABHYBvT2qxwAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAYISURBVHja7Zt7UFRVHMeBFZCHsLDBiqDM
 iiGLiBQpCEyCOMVDcQER8sEoVkzAENMQYsIoFaZlDsxgQgyaKWM2zTRN03um
 VLRySkfTprQxUAsNexhigoG/fme9S8ty755zl717BfY38/mDmd17ft/P7t57
 7jkXBwBwkAOsIsRbrvEH+5ApfD5yB1GOOwFYy5B+BMadAKw05DYXfnwJwEpE
 bhmFHz8CsGKRGybhx4cArDnIXzzhx74ArDCkSyD82BaApUF+MRN+zAvYTAlv
 F2AXYBdgF2AXYBdgF2AXYBdgFzDaBWC5IpFICrIOqUa+ZhCwG2kUQR1SgaxE
 kpCpsgnAckOykFbkb4awUnGKEz7LJgKw1EgT0iNjaCGOI3GSCOC+5pVI9z0Y
 3BTyrQyymgCsBOTnURDcGPIN1Y1YAFYe0jvKwhsYQMosFoC1gdvAgFFOPeIo
 SgDWtjEQ3JjnmAVg5Y6x8IafQwpVALmeWniJIwMcQZqRGuQj2ns0gdUwI7CR
 Gc2UHRCgKgafSSngPCHAEgl/IiGCArAmIedFHvQnbqd3stipcFZqOzykPQ8J
 kSAajd9JUHu+C27OiWIlfGJOwPMiDkTmA88iLpbeC6zMvA456V0wV9suKnxc
 xE3QqPpgui/oCZj0OSgc/cRISBgmAMtXxCSHzAm0I70ZIgLWLgdYltYJ87SX
 mQVEhpwYDG9gmrIDXBRRrAIO8Ql4ifHNJxB/a9wNGgQQdI9chJjwq0wCQgO/
 GCaAoPHpAWeFllVC0qAALD/GE98VZIq1boeNBRAyki9A7KzfqQKm+53lFUAI
 8j4Njo4TWQQ0GwsoYnjDv0i8NdcDTAUQ0hf+iBKu8wbXLQIoXdcLMWH9ggII
 Kvd6FgGdZHJkaPZDhjc0WXtBhE8AIeXhMzA/ogcWxQAU4N816wH24Ohv779L
 cwNA9P3CAjS+t0HhpGaREE0aded5cMGUXrGLDyMRQFhfdgUO7vs/tCmNdQBR
 GmEJSrcNLAI2kUYzGF64R4olMXMCWl4TDm+g4VWA2cH8AqZ6nwMy/af08BZp
 dDuDAJ0tBTy5Csx++sbUbwOYFXQ3dLDPJZimOgwzg47jeaQHXJwDqZdD0ugB
 hq+/py0FVD7NFt5AeXEnRM0YPpny8oinCfjBgbNg7kUnpVoVFhKw/QVxAorX
 8F8u/ZQraALIozsO5ygv+sBCAZU0AblLfuUVsHuXOAFLF/ILmKwqpAkgJ3/q
 9LfFQgFraQLSk78cFv6p1XdEhX+jSXjCpPJaShNw0YHhBFhnoYBU2rETYw/o
 Q6/O/gPydMegYMVRqCq/BntfZxfw4kZhAZ7uc1lWkSUT8ADt2NFRpVBa+D3U
 Vg3AlmoYZOsmgDeb2QQUruYPPz+iG6fELrRs70kpwJ92bF+fEKitvjMkvIFt
 KGFfC11A+gJ+AWHB77BMhHZKJoCT8B3t+AWrPuMVoJdQA7B/N//v/hW8UlSU
 DEB02Fe8ApSeySwCsqQWsIV2fG1ohqAAwssooWXXTdi5A2BzJUBJwdCTZn52
 H0r4Zujt8tS9LOH7uBUwSQXEsdyb52a2mpWge7RNcMqsP4lm/YMSTunDx4R3
 wQSFikXAp1yPkgpwQq7SxnB19YLykguCApYvuWRWAGGF7gZKOMsy+TFQLLkA
 boBylobU/hFQUdoxLPwzRZep4QlrcvohcuZG1vC/IR62EuDGLT5QG/Nw94Mn
 8g8NEZCX2UYNn7O4A9T3JYhZFC0z6k9aAdwgxazNKZycIT6mbPAnoUs5ajb8
 gthWvOvzFhP+MtnptrUAF+SMmPV7R0cn/RVi/oP1kJp0WH/fkJ99C3LS2yEt
 6QjMCa8CpZfWks2Rx0x6k14AN1CozE+SEBp4+rKNAG6wTBnDH0OcZRXADVgj
 Q/gOJECgH9sK4AYt5TZTbRH+W9N9S9kFcAMvtsGDVu8brvf3nABu8Nnclrq1
 g3dzK1IKhh7kE2DURA7SbqWHIMjzCWoRY8svgGtkIvI48rHJv9eynuTI8n6E
 BePeGwJMmvJB1nCfJtm2O41c4xYxydZ8G3IQqUXmjWSs/wDHL4xdfg+anQAA
 AABJRU5ErkJggg==

## gemrb 0.6.4-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0005 NEW)
endif(COMMAND cmake_policy)
# allow empty else and endif constructs (available by default since 2.6.0)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# prevent in-source builds
IF(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	MESSAGE(FATAL_ERROR "
		CMake generation for this project is not allowed within the source directory!
		Remove the CMakeCache.txt file and try again from another folder, e.g.:
		  rm CMakeCache.txt
		  mkdir build
		  cd build
		  cmake .."
	)
ENDIF()

# If the user specifies -DCMAKE_BUILD_TYPE on the command line, take their definition
# and dump it in the cache along with proper documentation, otherwise set CMAKE_BUILD_TYPE
# to Release prior to calling PROJECT()
IF(DEFINED CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ELSE(DEFINED CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ENDIF(DEFINED CMAKE_BUILD_TYPE)

PROJECT(gemrb)
# try to extract the version from the source
execute_process(
	COMMAND sed -n "s/\#define VERSION_GEMRB .\\([^\"]*\\).$/\\1/p" ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h
	OUTPUT_VARIABLE GEMRB_VERSION
	RESULT_VARIABLE RC
	OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(${RC} GREATER 0) # lookup failed
	set(GEMRB_VERSION "unknown")
endif(${RC} GREATER 0)
message("Detected version: ${GEMRB_VERSION}")

IF(PREFIX)
	SET(PREFIX CACHE PATH "Abbreviation for CMAKE_INSTALL_PREFIX.")
	SET(CMAKE_INSTALL_PREFIX ${PREFIX})
ENDIF(PREFIX)

if (NOT LAYOUT)
	if (WIN32)
		set(LAYOUT "home")
	else (WIN32)
		set(LAYOUT "fhs")
	endif (WIN32)
endif (NOT LAYOUT)

SET(LAYOUT "${LAYOUT}" CACHE STRING "Directory layout.")

# macro that sets a default (path) if one wasn't specified
MACRO(SET_PATH variable default)
	IF(NOT ${variable})
		SET(${variable} ${default})
	ENDIF(NOT ${variable})
ENDMACRO(SET_PATH)

if (${LAYOUT} MATCHES "home")
	SET_PATH( PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/plugins )
	SET_PATH( DATA_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( MAN_DIR ${CMAKE_INSTALL_PREFIX}/man/man6 )
	SET_PATH( BIN_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( DOC_DIR ${CMAKE_INSTALL_PREFIX}/doc )
	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX} )
elseif (${LAYOUT} MATCHES "fhs")
	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib/gemrb )
	SET_PATH( PLUGIN_DIR ${LIB_DIR}/plugins )
	SET_PATH( DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/gemrb )
	SET_PATH( MAN_DIR ${CMAKE_INSTALL_PREFIX}/share/man/man6 )
	SET_PATH( BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin )
	IF( NOT SYSCONF_DIR )
		if ( ${CMAKE_INSTALL_PREFIX} STREQUAL "/usr" )
			SET( SYSCONF_DIR /etc/gemrb )
		else ()
			SET( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX}/etc/gemrb )
		endif ()
	ENDIF( NOT SYSCONF_DIR )
	SET_PATH( DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/gemrb )
	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
else (${LAYOUT} MATCHES "opt")
	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib )
	SET_PATH( PLUGIN_DIR ${LIB_DIR}/plugins )
	SET_PATH( DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/ )
	SET_PATH( MAN_DIR ${CMAKE_INSTALL_PREFIX}/man/man6 )
	SET_PATH( BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin )
	SET_PATH( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX}/etc )
	SET_PATH( DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/gemrb )
	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
endif (${LAYOUT} MATCHES "home")

# check if this is a release version
execute_process(
	COMMAND echo ${GEMRB_VERSION}
	COMMAND grep -q git # cmake creates a pipe by itself
	RESULT_VARIABLE RC
	OUTPUT_QUIET
)
if(${RC} GREATER 0) # no match or error
	set (GIT_VERSION 0)
else()
	set (GIT_VERSION 1)
endif()

IF(CMAKE_COMPILER_IS_GNUCXX)
	if ((NOT DISABLE_WERROR) AND GIT_VERSION)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
	endif ()
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
	# only export symbols explicitly marked to be exported.
	INCLUDE(CheckCXXCompilerFlag)
	CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" VISIBILITY_HIDDEN)
	IF (VISIBILITY_HIDDEN)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
	ENDIF (VISIBILITY_HIDDEN)
	if (WIN32)
		# GCC 4.5.0+ has shared libstdc++ without dllimport
		set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--enable-auto-import")
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--enable-auto-import")
	endif (WIN32)
	# Ensure all plugin symbols exist.
	if (NOT APPLE AND NOT UNSAFE_PLUGIN)
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined")
	endif (NOT APPLE AND NOT UNSAFE_PLUGIN)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

# Check for all the required and optional dependencies
INCLUDE(FindPythonLibs)
IF(PYTHONLIBS_FOUND)
	MESSAGE(STATUS "Looking for Python libraries and headers: found")
ELSE()
	MESSAGE(SEND_ERROR "Looking for Python libraries and headers: not found!")
	MESSAGE(FATAL_ERROR "Please get them (www.python.org)")
ENDIF()

INCLUDE(FindSDL)
IF(SDL_FOUND)
	MESSAGE(STATUS "Looking for SDL: found")
ELSE()
	MESSAGE(SEND_ERROR "Looking for SDL: not found!")
	MESSAGE(FATAL_ERROR "Please get it from www.libsdl.org")
ENDIF()

INCLUDE(FindZLIB)
IF(ZLIB_FOUND)
	MESSAGE(STATUS "Looking for Zlib: found")
ELSE()
	MESSAGE(SEND_ERROR "Looking for Zlib: not found!")
	MESSAGE(FATAL_ERROR "Please install the Zlib library and headers first!")
ENDIF()

IF(UNIX)
	SET(CMAKE_THREAD_PREFER_PTHREAD true)
	FIND_PACKAGE(Threads REQUIRED)
ENDIF(UNIX)

INCLUDE(FindOpenAL)
IF(OPENAL_FOUND)
	MESSAGE(STATUS "Looking for OpenAL: found")
ELSE()
	MESSAGE(WARNING "Looking for OpenAL: not found!")
	MESSAGE(WARNING "If you want to build the OpenAL plugin, get OpenAL from www.openal.org.")
	MESSAGE(WARNING "If it just wasn't found, try setting the OPENALDIR environment variable.")
ENDIF()

INCLUDE(FindSDL_mixer)
IF(SDLMIXER_FOUND)
	MESSAGE(STATUS "Looking for SDL_mixer: found")
ELSE()
	MESSAGE(WARNING "Looking for SDL_mixer: not found!")
	MESSAGE(WARNING "If you want to build the SDL_mixer plugin, install SDL_mixer first.")
ENDIF()

INCLUDE(FindPNG)
IF(PNG_FOUND)
	MESSAGE(STATUS "Looking for libPNG: found")
ELSE()
	MESSAGE(WARNING "Looking for libPNG: not found!")
	MESSAGE(WARNING "GemRB will be built without any PNG support. Get it from www.libpng.org" )
	MESSAGE(WARNING "While no original game data is in PNG format, some mod data is and will need conversion.")
ENDIF()

FIND_LIBRARY(VORBIS_LIBRARY vorbisfile)
IF(VORBIS_LIBRARY)
	find_path(VORBIS_FILE vorbisfile.h PATH_SUFFIXES vorbis)
	IF(VORBIS_FILE)
		MESSAGE(STATUS "Looking for Ogg Vorbis support: found")
	ELSE()
		unset(VORBIS_LIBRARY) # disable the build for this plugin
	ENDIF()
ENDIF()
IF(NOT VORBIS_LIBRARY)
	MESSAGE(WARNING "Looking for Ogg Vorbis support: not found!")
	MESSAGE(WARNING "While no original game data is in OGG format, some mod data is and will need conversion.")
ENDIF()

ADD_DEFINITIONS("-DHAVE_CONFIG_H")

# On Release builds cmake automatically defines NDEBUG, so we
# explicitly undefine it:
if(CMAKE_BUILD_TYPE STREQUAL "Release" AND NOT MSVC)
	ADD_DEFINITIONS("-UNDEBUG")
endif()

if (STATIC_LINK)
	if (NOT WIN32)
		ADD_DEFINITIONS("-DSTATIC_LINK")
	else (NOT WIN32 AND NOT APPLE)
		unset(STATIC_LINK CACHE)
		MESSAGE(STATUS "Static linking not (yet) supported on this platform.")
	endif (NOT WIN32 AND NOT APPLE)
endif (STATIC_LINK)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} gemrb/includes gemrb/core)

#Platform checks
INCLUDE (CheckTypeSize)
CHECK_TYPE_SIZE("int" SIZEOF_INT)
CHECK_TYPE_SIZE("long int" SIZEOF_LONG_INT)

INCLUDE (CheckFunctionExists)
CHECK_FUNCTION_EXISTS("snprintf" HAVE_SNPRINTF)
CHECK_FUNCTION_EXISTS("strndup" HAVE_STRNDUP)

#Unneeded on windows
IF(NOT WIN32)
	INCLUDE (CheckCXXSourceCompiles)
	CHECK_CXX_SOURCE_COMPILES("typedef void *(* voidvoid)(void);

		void *object = 0;
		voidvoid function;
		function = (voidvoid) object;
		" PERMITS_OBJECT_TO_FUNCTION_CAST)

	IF( NOT PERMITS_OBJECT_TO_FUNCTION_CAST )
		SET(HAVE_FORBIDDEN_OBJECT_TO_FUNCTION_CAST 1)
	ENDIF( NOT PERMITS_OBJECT_TO_FUNCTION_CAST )
ENDIF(NOT WIN32)

IF(APPLE)
	FIND_LIBRARY(SDL_MAIN_LIBRARY_PATH SDLmain)
	FIND_LIBRARY(COCOA_LIBRARY_PATH Cocoa)
ENDIF(APPLE)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake_config.h.in
	${CMAKE_CURRENT_BINARY_DIR}/config.h ESCAPE_QUOTES)

#Plugin addition macro
MACRO(ADD_GEMRB_PLUGIN plugin_name)
	if (STATIC_LINK)
		ADD_LIBRARY(${plugin_name} STATIC ${ARGN})
		set(plugins "${plugins};${plugin_name}" PARENT_SCOPE)
	else (STATIC_LINK)
		ADD_LIBRARY(${plugin_name} MODULE ${ARGN})
		if (NOT UNSAFE_PLUGIN)
			TARGET_LINK_LIBRARIES(${plugin_name} gemrb_core ${CMAKE_THREAD_LIBS_INIT})
		endif (NOT UNSAFE_PLUGIN)
		INSTALL(TARGETS ${plugin_name} DESTINATION ${PLUGIN_DIR})
	endif (STATIC_LINK)
	SET_TARGET_PROPERTIES(${plugin_name} PROPERTIES PREFIX ""
		INSTALL_RPATH ${LIB_DIR}
		LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/gemrb/plugins)
ENDMACRO(ADD_GEMRB_PLUGIN)

#gemrb overrides macro
MACRO(ADD_GEMRB_OVERRIDE game_name)
	FILE( GLOB FILES_TO_INSTALL *.2da *.bmp *.ini *.chu *.ids *.bcs *.vvc *.mos *.spl *.wav *.pro)
	INSTALL( FILES ${FILES_TO_INSTALL} DESTINATION ${DATA_DIR}/override/${game_name} )
ENDMACRO(ADD_GEMRB_OVERRIDE )

# also put the chosen paths in the man page (Ubuntu)
CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/gemrb.6.in"
	"${CMAKE_CURRENT_BINARY_DIR}/gemrb.6"
	IMMEDIATE @ONLY
)

ADD_SUBDIRECTORY( gemrb )
INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/gemrb.6" DESTINATION ${MAN_DIR} )
INSTALL( FILES artwork/gemrb-logo.png DESTINATION ${ICON_DIR} RENAME gemrb.png )
INSTALL( FILES artwork/logo04-rb_only.svg DESTINATION ${SVG_DIR} RENAME gemrb.svg )
INSTALL( FILES gemrb.desktop DESTINATION ${MENU_DIR} )
INSTALL( FILES README INSTALL COPYING NEWS AUTHORS DESTINATION ${DOC_DIR} )

CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY
)

# copy the variable, since the file uses @VERSION@
set(VERSION ${GEMRB_VERSION})
CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/gemrb.spec.in"
	"${CMAKE_CURRENT_BINARY_DIR}/gemrb.spec"
	IMMEDIATE @ONLY
)

ADD_CUSTOM_TARGET( uninstall
	"${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" )

# make dist for a gzipped tarball of current HEAD
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${GEMRB_VERSION})
add_custom_target( dist
	COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
		| gzip --best > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

message(STATUS "")
message(STATUS "These are the configured paths:")
message(STATUS "  PREFIX: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "  LIB_DIR: ${LIB_DIR}")
message(STATUS "  PLUGIN_DIR: ${PLUGIN_DIR}")
message(STATUS "  BIN_DIR: ${BIN_DIR}")
message(STATUS "  DATA_DIR: ${DATA_DIR}")
message(STATUS "  MAN_DIR: ${MAN_DIR}")
message(STATUS "  SYSCONF_DIR: ${SYSCONF_DIR}")
message(STATUS "  DOC_DIR: ${DOC_DIR}")
message(STATUS "  ICON_DIR: ${ICON_DIR}")
message(STATUS "  SVG_DIR: ${SVG_DIR}")
message(STATUS "  MENU_DIR: ${MENU_DIR}")
message(STATUS "")
message(STATUS "Options:")
message(STATUS "  LAYOUT: ${LAYOUT}")
message(STATUS "  NOCOLOR: ${NOCOLOR}")

=== gemrb/core/CMakeLists.txt ===
ADD_DEFINITIONS(-DGEM_BUILD_DLL)

FILE(GLOB gemrb_core_LIB_SRCS "*.cpp"
	GameScript/Actions.cpp
	GameScript/GSUtils.cpp
	GameScript/GameScript.cpp
	GameScript/Matching.cpp
	GameScript/Objects.cpp
	GameScript/Triggers.cpp
	GUI/Button.cpp
	GUI/Console.cpp
	GUI/Control.cpp
	GUI/EventMgr.cpp
	GUI/GameControl.cpp
	GUI/Label.cpp
	GUI/MapControl.cpp
	GUI/Progressbar.cpp
	GUI/ScrollBar.cpp
	GUI/Slider.cpp
	GUI/TextArea.cpp
	GUI/TextEdit.cpp
	GUI/Window.cpp
	GUI/WorldMapControl.cpp
	Scriptable/Actor.cpp
	Scriptable/Container.cpp
	Scriptable/Door.cpp
	Scriptable/InfoPoint.cpp
	Scriptable/Scriptable.cpp
	Scriptable/PCStatStruct.cpp
	System/CachedFileStream.cpp
	System/DataStream.cpp
	System/FileStream.cpp
	System/MemoryStream.cpp
	System/VFS.cpp
	System/snprintf.cpp
	)

if (STATIC_LINK)
	ADD_LIBRARY(gemrb_core STATIC ${gemrb_core_LIB_SRCS})
else (STATIC_LINK)
	ADD_LIBRARY(gemrb_core SHARED ${gemrb_core_LIB_SRCS})
	IF(WIN32)
	  INSTALL(TARGETS gemrb_core RUNTIME DESTINATION ${LIB_DIR})
	ELSE(WIN32)
	  INSTALL(TARGETS gemrb_core LIBRARY DESTINATION ${LIB_DIR})
	ENDIF(WIN32)
endif (STATIC_LINK)

SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
	COMPILE_DEFINITIONS
	"PLUGINDIR=\"${PLUGIN_DIR}\";DATADIR=\"${DATA_DIR}\";SYSCONFDIR=\"${SYSCONF_DIR}\""
	)

=== gemrb/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 ADD_SUBDIRECTORY( 2DAImporter )
 ADD_SUBDIRECTORY( ACMReader )
-ADD_SUBDIRECTORY( WAVReader )
-ADD_SUBDIRECTORY( OGGReader )
 ADD_SUBDIRECTORY( AREImporter )
 ADD_SUBDIRECTORY( BAMImporter )
 ADD_SUBDIRECTORY( BIFImporter )
@@ -22,19 +20,26 @@
 ADD_SUBDIRECTORY( IWDOpcodes )
 ADD_SUBDIRECTORY( KEYImporter )
 ADD_SUBDIRECTORY( MOSImporter )
+ADD_SUBDIRECTORY( MUSImporter )
 ADD_SUBDIRECTORY( MVEPlayer )
-ADD_SUBDIRECTORY( MUSImporter )
 ADD_SUBDIRECTORY( NullSound )
+ADD_SUBDIRECTORY( OGGReader )
+ADD_SUBDIRECTORY( OpenALAudio )
 ADD_SUBDIRECTORY( PLTImporter )
 ADD_SUBDIRECTORY( PNGImporter )
 ADD_SUBDIRECTORY( PROImporter )
 ADD_SUBDIRECTORY( PSTOpcodes )
+ADD_SUBDIRECTORY( SDLAudio )
 ADD_SUBDIRECTORY( SDLVideo )
 ADD_SUBDIRECTORY( SPLImporter )
 ADD_SUBDIRECTORY( STOImporter )
 ADD_SUBDIRECTORY( TISImporter )
 ADD_SUBDIRECTORY( TLKImporter )
+ADD_SUBDIRECTORY( WAVReader )
 ADD_SUBDIRECTORY( WEDImporter )
 ADD_SUBDIRECTORY( WMPImporter )
 ADD_SUBDIRECTORY( ZLibManager )
-ADD_SUBDIRECTORY( OpenALAudio )
+
+if (STATIC_LINK)
+	SET(plugins ${plugins} PARENT_SCOPE)
+endif (STATIC_LINK)

=== gemrb/override/pst/CMakeLists.txt ===


=== gemrb/plugins/KEYImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (KEYImporter KEYImporter.cpp Dictionary.cpp)

=== gemrb/plugins/SDLVideo/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} )

ADD_GEMRB_PLUGIN (SDLVideo SDLVideo.cpp)
TARGET_LINK_LIBRARIES( SDLVideo ${SDL_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} )

=== debian/changelog ===
gemrb (0.6.4-1) unstable; urgency=low

  * Implemented right mouse button click with proximity sensor and holding x button
  * Fix PST journal

 -- Nerdknight <nerdknight@gmail.com>  Wed, 30 Mar 2011 20:02:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gemrb
 Section: user/games
 Priority: extra
-Maintainer: Bundyo <bundyo@gmail.com>
+Maintainer: Nerdknight <nerdknight@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev
 Standards-Version: 3.7.2
 Homepage: http://gemrb.sourceforge.net
@@ -14,7 +14,6 @@
  open-source implementation of Bioware's Infinity Engine.
  .
  You need to own the original games in order to play them.
-XSBC-Bugtracker: mailto:bundyo@gmail.com
 XB-Maemo-Display-Name: GemRB
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-werror CFLAGS="$(CFLAGS)"
# --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
#	 LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/gemrb.sgml > gemrb.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gemrb.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gemrb install
	dh_install --sourcedir=$(CURDIR)/debian/gemrb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gemrb 0.6.4-2

=== gemrb/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( plugins )
ADD_SUBDIRECTORY( override )
ADD_SUBDIRECTORY( GUIScripts )
ADD_SUBDIRECTORY( docs )
ADD_SUBDIRECTORY( tests )

ADD_EXECUTABLE(gemrb GemRB.cpp )
SET_TARGET_PROPERTIES(gemrb PROPERTIES INSTALL_RPATH ${LIB_DIR})
INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} )
IF(WIN32)
 TARGET_LINK_LIBRARIES(gemrb gemrb_core)
ELSE(WIN32)
 IF(APPLE)
	if (STATIC_LINK)
		TARGET_LINK_LIBRARIES(gemrb ${SDL_LIBRARY}
			 ${SDL_MAIN_LIBRARY_PATH} ${COCOA_LIBRARY_PATH} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT}
			 gemrb_core ${plugins}  -Wl,-all_load)
	else (STATIC_LINK)
		TARGET_LINK_LIBRARIES(gemrb gemrb_core ${SDL_LIBRARY}
			 ${SDL_MAIN_LIBRARY_PATH} ${COCOA_LIBRARY_PATH} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT})
	endif (STATIC_LINK)
 ELSE(APPLE)
  if (STATIC_LINK)
	  TARGET_LINK_LIBRARIES(gemrb ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT}
		  -Wl,--whole-archive gemrb_core ${plugins} -Wl,--no-whole-archive)
  else (STATIC_LINK)
	  TARGET_LINK_LIBRARIES(gemrb gemrb_core ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT})
  endif (STATIC_LINK)
 ENDIF(APPLE)
ENDIF(WIN32)

# preconfigure the sample config with the selected paths
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/GemRB.cfg.sample.in"
  "${CMAKE_CURRENT_BINARY_DIR}/GemRB.cfg.sample"
  IMMEDIATE @ONLY
)

INSTALL( TARGETS gemrb DESTINATION ${BIN_DIR} )
INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/GemRB.cfg.sample" GemRB.cfg.noinstall.sample DESTINATION ${SYSCONF_DIR} )

=== gemrb/override/iwd/CMakeLists.txt ===
ADD_GEMRB_OVERRIDE (iwd)

=== debian/changelog ===
gemrb (0.6.4-2) unstable; urgency=low

  * Added configuration of right button in gemrb.cfg: now  you can chose the keyboard key and disable proximity sensor right click
  * Instalation no longer overwrite existing gemrb.cfg file

 -- Nerdknight <nerdknight@gmail.com>  Mon, 11 Apr 2011 01:15:00 -0300

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,10 @@
  open-source implementation of Bioware's Infinity Engine.
  .
  You need to own the original games in order to play them.
+XB-Maemo-Upgrade-Description: Added configuration of right button in gemrb.cfg: 
+ now  you can chose the keyboard key and disable proximity sensor right click.
+ .
+ Instalation no longer overwrite existing gemrb.cfg file.
 XB-Maemo-Display-Name: GemRB
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI

## gemrb 0.6.5-1

=== debian/changelog ===
gemrb (0.6.5-1) unstable; urgency=low
  New features:
    - quickspell support
    - keymap.ini handling
    - yet more unhardcoded PST projectiles
    - area comments, party npc interactions
    - ios port and enhanced touchscreen support
  Improved features:
    - performance
    - squirrels and other small game don't die instantly
    - stores and stacking
    - effects, triggers, actions, dialogs
    - secret door detection, turning undead
    - bugfixes and internal cleanups
  Applied patches:
    ios support patches from Brad Allred
    android and touchscreen patches from Beholder.
  More info: http://www.gemrb.org/
 -- Nerdknight <nerdknight@gmail.com>  Fr1, 5 Aug 2011 21:36:53 -0300
